@font-face {
	font-family: "iconfont";
	src: url('../css/fonts/iconfont/iconfont.eot?1653073635');
	src: url('../css/fonts/iconfont/iconfont.eot?1653073635#iefix') format('eot'),
		url('../css/fonts/iconfont/iconfont.woff2?1653073635') format('woff2'),
		url('../css/fonts/iconfont/iconfont.woff?1653073635') format('woff'),
		url('../css/fonts/iconfont/iconfont.ttf?1653073635') format('truetype'),
		url('../css/fonts/iconfont/iconfont.svg?1653073635#iconfont') format('svg');
    font-display: swap;
}

@mixin icon-styles {
	font-family: "iconfont";
		-webkit-font-smoothing: antialiased;
		-moz-osx-font-smoothing: grayscale;
	font-style: normal;
	font-variant: normal;
	font-weight: normal;
	speak: none; // only necessary if not using the private unicode range (firstGlyph option)
	text-decoration: none;
	text-transform: none;
    vertical-align: text-bottom;
}

%icon {
	@include icon-styles;
}

@function icon-char($filename) {
	$char: "";

	@if $filename == facebook {
		$char: "\E001";
	}
	@if $filename == instagram {
		$char: "\E002";
	}
	@if $filename == twitter {
		$char: "\E003";
	}
	@if $filename == vk {
		$char: "\E004";
	}

	@return $char;
}

@mixin icon($filename, $insert: before, $extend: true) {
	&:#{$insert} {
		@if $extend {
			@extend %icon;
		} @else {
			@include icon-styles;
		}
		content: icon-char($filename);
	}
}

.icon-facebook {
	@include icon(facebook);
}
.icon-instagram {
	@include icon(instagram);
}
.icon-twitter {
	@include icon(twitter);
}
.icon-vk {
	@include icon(vk);
}
